@font-face {
  font-family: "Poppins_black";
  src: url("../fonts/Poppins-Black.ttf") format("truetype");
}
@font-face {
  font-family: "Poppins_black-ltalic";
  src: url("../fonts/Poppins-BlackItalic.ttf") format("truetype");
}
@font-face {
  font-family: "poppin-bold";
  src: url("../fonts/Poppins-Bold.ttf") format("truetype");
}
@font-face {
  font-family: "popins_regular";
  src: url("../fonts/Poppins-Regular.ttf") format("truetype");
}
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-BoldItalic.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-ExtraBold.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-ExtraBoldItalic.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-ExtraLight.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-ExtraLightItalic.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-Italic.ttf') format('truetype');
// }

// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-Light.ttf') format('truetype');
//}
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-LightItalic.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-Medium.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-MediumItalic.ttf') format('truetype');
// }

// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-SemiBold.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-SemiBoldItalic.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-Thin.ttf') format('truetype');
// }
// @font-face {
//   font-family: 'MyWebFont';
//   src: url('../fonts/Poppins-ThinItalic.ttf') format('truetype');
// }

@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

$color-primary: #2137c4;

$color-secondary: #3b5998;

$color-success: #439100;

$color-warning: #f2f923;

$color-danger: #ff0003;

$color-dark: #202020;

$color-medium: #707070;

$color-light: #f8f8fd;

$radius: 7px;
$text-color: #1f0e06;

.my-toast-class {
  --background: #000534;
  --color: white;
  --height: 60px;
  --border-radius: 1rem;
  --padding: 1rem;
  --border-color: $color-primary;
  --border-style: solid;
  position: sticky;
  --border-width: 1px;
  margin-bottom: 10%;
  text-align: center;
  opacity: 0.83;
  top: 100%;
}
.scroll-d::-webkit-scrollbar {
  display: none;
}

* {
  margin: 0;
  padding: 0;
  font-family: "popins_regular" !important;
  box-sizing: border-box;
}

html,
body {
  font-family: "popins_regular" !important;
  box-sizing: border-box;
}


.hand{
  cursor: pointer;
}
.btn-style {
  // margin: 3rem;
  width: 170px;
  height: 45px;
  color: #ff0003 !important;
  background: #f2f923 !important;
  font-family: "popins_regular";
  font-size: 1rem;
  box-shadow: 0px 7px 0 0 #fbfdc2;
  --box-shadow: none !important;
  border-radius: 7px;
  text-align: center;
}

:host(.button-solid) {
  box-shadow: none !important;
}
.my-modal {
  height: 50% !important;
  width: 50% !important;
}

ion-select {
  .select-icon {
    .select-icon-inner {
      color: $color-danger !important;
    }
  }
}

// Applies a text wrap on ion options
.alert-tappable.alert-radio {
  height: auto;
  contain: content;
}

.alert-radio-label.sc-ion-alert-md,
.alert-radio-label.sc-ion-alert-ios {
  white-space: normal;
}

ion-select::part(icon) {
  color: $color-danger;
  opacity: 1;
  width: 25px;
}
ion-input::marker(icon) {
  color: $color-danger;
  opacity: 1;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

.bg-image {
  //--background: url(../../assets/icon/Component\ 14\ –\ 1.svg);
  --background: url("../../assets/icon/Component\ 14\ –\ 1.svg") no-repeat 40% 9%;
}



input[type="date"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-calendar-picker-indicator {
   background-color:#00fffc;
   filter: invert(1);
   color: $color-danger;
   font-size: 0.9rem;
   padding: 7px;
   border-radius: 50px;
   
}
// OPT popup

.options_modal {
  width: 22rem;
  max-width: 100%;
  border-radius: $radius;
  box-shadow: 0px 0px 20px #8b8b8b;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  ion-input {
    width: 150px;
    height: 30px;
    color: $color-dark;
    letter-spacing: 20px;
    display: inline-flex;
    justify-content: center;
  }
  .count-time {
    color: #324ab2;
    font-size: 0.75rem;
  }
  .code {
    margin-top: 15px;
    color: $color-primary;
    font-size: 1rem;
    transition: 1s;
  }
  .disabled{
    color: #081037;
    opacity: 37%;
  }
}

// Golden Trident Contest
.img-center {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin: 10px auto;
  padding: 10px;
  // gap: 15px;
  font-family: "popins_regular";
  color: $color-dark;
  font-size: 1.13rem;
}
.title-re-m{
  margin-left: 90px !important; padding: 20px; font-weight: bold;
}

// input
.input-contest input,
ion-select {
  background: #ffffff !important;
  border-radius: $radius !important;
  color: #252425 !important;
}

ion-input {
  border: 1px solid #70707042;
  border-radius: $radius;
  input {
    height: 45px !important;
    padding-left: 15px !important;
  }
}

ion-select {
  border: 1px solid #70707042;
  border-radius: $radius;
  height: 45px !important;
  padding-left: 15px !important;
}

.bg-color {
  background: $color-secondary;
  color: #fff !important;
  padding: 1px 0;
  height: 100vh;
  overflow: auto;
}
@media screen and (min-width:768px) {
  .sc-ion-modal-md-h {
    --height: 335px !important;
  }
}
@media screen and (max-width: 768px) {
  .web-img {
    display: none;
  }
  .mobile-img {
    display: block !important;
  }
  .header-moblie {
    display: block !important;
  }
  .hide {
    display: none;
  }
  .web-logo {
    display: none;
  }
  .web-title {
    display: none;
  }
  .title-re-m {
    display: none;
  }
  .golden-webimg {
    display: none;
  }
  .flex-re {
    flex-direction: column !important;
  }
  .golden-mobile {
    img {
      width: 100% !important;
      object-fit: contain !important;
    }
  }
  .t-web {
    display: none;
  }
}
@media screen and (min-width: 1440px) {
  .header-moblie {
    display: none;
  }
  .mobile-img {
    display: none;
  }
  .title-re-m {
    display: block;
    
  }

  .web-logo {
    width: 300px !important;
    height: 200px !important;
    position: relative;
    left: 50% !important;
    top: 10% !important;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  .page-img {
    width: 55em !important;
    height: 70vh;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  .vertical-line {
    border-right: 3px solid #d4d1d1;
    overflow: hidden;
  }
  .options_modal {
    width: 35rem;
    height: 31rem;
    .popup-info {
      padding: 2rem;
      margin-top: 50px;
    }
  }

  .golden-input-web {
    margin: auto 30%;
  }
  .web-footer {
    --background: $color-dark !important;
    color: $color-light !important;
  }
  .sc-ion-modal-md-h {
    --height: 500px !important;
  }
  .float-left {
    float: left;
    width: 50%;
  }
  .flex-re {
    display: flex;
    flex-flow: row-reverse;
    justify-content: center;
    gap: 0px !important;
  }

  .golden-input-web {
    // margin: auto;
    border-radius: 10px;
    width: 62% !important;
  }
  .flex-web {
    .img-card {
      display: flex !important;
      justify-content: center !important;
      box-shadow: none !important;
      flex-flow: row !important;
      align-items: center;
      div {
        max-width: 60%;
        margin-left: 15px;
      }
      h1{
        padding-left: 20px;
      }
      p {
      }

    }
    .t-mobile {
      display: none;
    }
  }
 
}

@media screen and (min-width: 1024px) {
  .header-moblie {
    display: none;
  }
  .mobile-img {
    display: none;
  }
  .bg-color {
    height: 85vh;
  }
  .golden-mobile {
    display: none;
  }
  .golden-webimg {
    display: block;
  }
  .badge {
    display: none;
  }
  .bg-image {
    --background: none;
  }
  .group-input {
    margin: 0 !important;
  }
  .check-box-golden {
    padding: 0 !important;
    margin-bottom: 15px;
  }

  .text-center {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
  .sc-ion-modal-md-h {
    --height: 332px;
  }
  .content-center-w {
    max-width: 65%;
    margin: auto;
  }
  .flex-row{
    display: flex;
    flex-flow: column;
}
.header-logo{
  width: 225px !important;
}
.float-left {
  float: left;
  width: 50%;
}
  .card-profile {
    border: 1px solid #e4e4e466;
    border-radius: 7px;
    width: 50%;
    margin: 20px auto;
  }
  .card-st {
    border: 1px solid #e4e4e466;
    border-radius: 7px;
    width: 60%;
    margin: 20px auto;
    padding: 15px;
  }

  .web-btn {
    // position: relative;
    left: 260px;
    margin: 16px 0;
    width: 175px !important;
  }
  .golden-webimg {
    img {
      border-radius: $radius;
      object-fit: contain;
      width: 500px;
    }
  }
  .flex-web {
    .img-card {
      display: flex !important;
      justify-content: center !important;
      box-shadow: none !important;
      flex-flow: column;
      align-items: center;
      div {
        max-width: 60%;
      }
      p {
      }
    }
    .t-mobile {
      display: none;
    }
  }
  .golden-webimg {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 100px;
    img {
      border-radius: $radius;
      object-fit: contain;
      height: 100%;
      width: 100%;
    }
  }
  .g-center-web {
    margin: auto;
  }
  .golden-input-web {
    // margin: auto;
    border-radius: 10px;
    width: 80%;
  }
  .web-logo {
    width: 220px;
    height: 200px;
    position: relative;
    left: 40%;
    top: 13%;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  .page-img {
    width: 40em;
    height: 70vh;
    margin: 0 !important;
    img {
      width: 100%;
      height: 100%;
      object-fit: fill;
    }
  }
  .vertical-line {
    border-right: 3px solid #d4d1d1;
    overflow: hidden;
  }

  .btn-style {
    width: 85%;
    --box-shadow: none !important;
    box-shadow: none;
    font-weight: bold;
  }
  .web-footer {
    --background: $color-dark !important;
    color: $color-light !important;
  }

  .flex-re {
    display: flex;
    flex-flow: row-reverse;
    justify-content: center;
    gap: 100px;
  }

  .ion-text-center {
    position: relative;
    ion-item-divider {
      border: none;
    }
    .img-1 {
      margin-top: 80px;
      img {
        position: absolute;
        top: 200px;
        width: 100px;
      }
    }
    .img-2 {
      position: absolute;
      left: 100px;
      top: 200px;
    }
    .img-3 {
      position: absolute;
      right: 100px;
      top: 200px;
    }
    .img-4 {
      margin-top: 160px;
    }
  }
  .term-condition {
    margin: auto 20%;
  }
  .border-liner {
    font-family: "popins_regular";
    position: relative;
    opacity: 0.75;
    margin-top: 40px !important;
    &::before {
      content: "";
      position: absolute;
      width: 90px !important;
      border: 1px solid $color-medium;
      background: $color-medium;
      top: 0;
      left: 0;
      transform: translate(35px, 10px);
      border-radius: $radius;
    }
    &::after {
      content: "";
      position: absolute;
      width: 90px !important;
      border: 1px solid $color-medium;
      background: $color-medium;
      top: 0;
      right: 0;
      border-radius: $radius;
      transform: translate(-35px, 10px);
    }
  }
  .input-div {
    margin: 0 !important;
  }
  .flex-web{
    margin-left: 100px;
  }
}
@media screen and (max-width: 600px) {
  .web-img {
    display: none;
  }
  .mobile-img {
    display: block;
  }
  .header-moblie {
    display: block;
  }
  .hide {
    display: none;
  }
  .web-logo {
    display: none;
  }
  .web-title {
    display: none;
  }
  .title-re-m {
    display: none;
  }
  .side-edit {
    display: none;
  }
  .float-left {
    float: none !important;
    max-width: 100% !important;
  }
  .btn-style {
    width: 170px !important;
    --box-shadow: none !important;
    box-shadow: 0px 7px 0 0 #fbfdc2;
  }
  .golden-mobile {
    display: block;
    img {
      width: 500px;
    }
  }
  .golden-webimg {
    display: none;
  }
  .flex-re {
    display: flex !important;
    flex-direction: column !important;
  }
  .t-web {
    display: none;
  }
}

input::-webkit-calendar-picker-indicator {
  // background: $color-danger;

  position: relative;
  --filter: url(../../assets/icon/Component\ 10\ –\ 2.svg);
}

input::-webkit-calendar-picker-indicator::after {
  content: "";
  display: block;
  width: 32px;
  height: 32px;
  --background: url("../../assets/icon/Component\ 10\ –\ 2.svg") no-repeat;
  position: absolute;
  top: 0;
  right: 0;
  margin-top: -16px;
}
